Conversations
Retrieve conversation logs and metadata
Get Conversation Log Endpoint
Path Parameters
session_id*string
Query Parameters
offset?integer
Default
0limit?integer
Default
100Response Body
application/json
application/json
curl -X GET "https://loading/conversations/string"{
"session_id": "string",
"lines": [
{
"line_number": 0,
"raw": "string",
"parsed": {},
"event_type": "string",
"tool_name": "string",
"content_preview": "string"
}
],
"total_lines": 0,
"metadata": {}
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Get Conversation Metadata Endpoint
Path Parameters
session_id*string
Response Body
application/json
application/json
curl -X GET "https://loading/conversations/string/metadata"{
"session_id": "string",
"execution_id": "string",
"workflow_id": "string",
"phase_id": "string",
"event_count": 0,
"total_input_tokens": 0,
"total_output_tokens": 0,
"tool_counts": {
"property1": 0,
"property2": 0
},
"started_at": "string",
"completed_at": "string",
"model": "string",
"success": true,
"size_bytes": 0
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Syntropic137 Docs v0.18.0 · Last updated March 2026